## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * Requires swTPM server running
%bcond_with check
%global debug_package %{nil}

%global crate tss-esapi

Name:           rust-tss-esapi
Version:        7.5.1
Release:        %autorelease
Summary:        Rust-native wrapper around TSS 2.0 Enhanced System API

License:        Apache-2.0
URL:            https://crates.io/crates/tss-esapi
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(tss2-esys) >= 4.0.0
BuildRequires:  pkgconfig(tss2-tctildr) >= 4.0.0
BuildRequires:  pkgconfig(tss2-mu) >= 4.0.0

%global _description %{expand:
Rust-native wrapper around TSS 2.0 Enhanced System API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(tss2-esys) >= 4.0.0
Requires:       pkgconfig(tss2-tctildr) >= 4.0.0
Requires:       pkgconfig(tss2-mu) >= 4.0.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+generate-bindings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-bindings-devel %{_description}

This package contains library source intended for building other packages which
use the "generate-bindings" feature of the "%{crate}" crate.

%files       -n %{name}+generate-bindings-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f generate-bindings

%build
%cargo_build -f generate-bindings

%install
%cargo_install -f generate-bindings

%if %{with check}
%check
%cargo_test -f generate-bindings
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Apr 16 2024 Peter Robinson <pbrobinson@gmail.com> - 7.5.1-1
- 7.5.1

* Sat Mar 30 2024 Peter Robinson <pbrobinson@gmail.com> - 7.5.0-1
- Update to 7.5.0

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Peter Robinson <pbrobinson@gmail.com> - 7.4.0-2
- remove old patch

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 11 2023 Peter Robinson <pbrobinson@fedoraproject.org> - 7.2.0-2
- Rebuild for tss-esapi-sys bindings regen

* Tue Feb 07 2023 Peter Robinson <pbrobinson@fedoraproject.org> - 7.2.0-1
- Update to 7.2.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 28 2022 Peter Robinson <pbrobinson@gmail.com> - 7.1.0-1
- Update to 7.1.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Mar 21 2022 Peter Robinson <pbrobinson@fedoraproject.org> - 7.0.1-1
- Update to 7.0.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 03 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 6.1.1-2
- Rebuild for tss-esapi-sys

* Mon Oct 04 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 6.1.1-1
- Update to 6.1.1

* Fri Aug 06 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 6.1.0-1
- Update to 6.1.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Apr 05 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Tue Mar 23 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 5.0.0-2
- Update to 5.0.0 stable release

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.10~alpha.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 20 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 4.0.10~alpha.2-1
- Update to 4.0.10-alpha.2

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 4.0.10~alpha.1-2
- Bump bindgen to 0.56.

* Tue Nov 24 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 4.0.10~alpha.1-1
- Update to 4.0.10~alpha.1

* Wed Sep 16 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 4.0.9~alpha.1-1
- Update to 4.0.9~alpha.1

* Mon Sep 14 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 4.0.8~alpha.1-1
- Update to 4.0.8~alpha.1

* Wed Aug  5 2020 Peter Robinson <pbrobinson@fedoraproject.org> 4.0.6~alpha.1-1
- Update to 4.0.6~alpha.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.5~alpha.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 15 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 4.0.5~alpha.1-1
- Update to 4.0.5~alpha.1

* Wed Jun 17 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 4.0.3~alpha.1-1
- Initial package

## END: Generated by rpmautospec
